Application: gvSIG desktop - gvSIG bugs #5459
Funcién Perimeter de la calculadora de campos da error
09/30/2020 02:40 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document table

Target version: 2.5.1-3040

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3037 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Al rellenar un campo (Doble o Decimal) con el parametro PERIMETER salta error.

Pasos:

- Capa de lineas en 25830 (adjunta, aunque probado con 3 diferentes).

- Poner en edicién y abrir tabla.

- Ahadir campo tipo Double o Decimal (o sobre uno existente de esos tipos).
- Calculadora de campos y rellenarlo con la funcién PERIMETER:
PERIMETER

Salta el error de expresién incorrecta:
Runtime error: illegal unit name 'm'’

En el log no aparece nada.

Associated revisions

Revision 45337 - 09/30/2020 03:35 PM - Oscar Martinez

refs #5459 Corregido unidades usadas para el perimetro

History

#1 - 09/30/2020 02:40 PM - Alvaro Anguix
- Target version changed from 2.5.1-3042-RC2 to 2.5.1-3044

#2 - 09/30/2020 02:42 PM - Alvaro Anguix

Afado que si se cambian las unidades a km, cm... también falla
#3 - 09/30/2020 03:36 PM - Oscar Martinez

- Target version changed from 2.5.1-3044 to 2.5.1-3038

- Status changed from New to Fixed

#4 - 10/02/2020 03:06 PM - Oscar Martinez
- Target version changed from 2.5.1-3038 to 2.5.1-3040

#5 - 10/05/2020 10:21 AM - Alvaro Anguix

- Status changed from Fixed to Closed

Comprobado. Funciona correctamente.
